package com.huimv.getdata.service.impl;


import com.huimv.getdata.entity.caigou.*;
import com.huimv.getdata.entity.center.CaiGouJinE;
import com.huimv.getdata.entity.center.DangQianYvQi;
import com.huimv.getdata.entity.center.XiaoShouE;
import com.huimv.getdata.entity.center.YangMaoZhiCaiGouJinE;
import com.huimv.getdata.entity.voucher.ErpVoucher;
import com.huimv.getdata.mapper.ErpCaiGouMapper;
import com.huimv.getdata.mapper.ErpCenterMapper;
import com.huimv.getdata.service.IErpCaiGouService;
import com.huimv.getdata.service.IErpCenterService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author author
 * @since 2025-01-03
 */
@Service
public class ErpCaiGouServiceImpl implements IErpCaiGouService {
        @Autowired
        private ErpCaiGouMapper erpCaiGouMapper;

    @Override
    public List<DingDanJinE> getDingDanJinE(String date) {
        return erpCaiGouMapper.getDingDanJinE(date);
    }

    @Override
    public List<CaiGouRuKu> getCaiGouRuku(String date) {
        return erpCaiGouMapper.getCaiGouRuku(date);
    }

    @Override
    public List<FaPiaoJinE> getCaiGouFaPiao(String date) {
        return erpCaiGouMapper.getCaiGouFaPiao(date);
    }

    @Override
    public List<LeiJiRuKu> getLeiJiRuKu(String date) {
        return erpCaiGouMapper.getLeiJiRuKu(date);
    }

    @Override
    public List<ShouLiaoJinE> getShouLiaoJinE(String date) {
        return erpCaiGouMapper.getShouLiaoJinE(date);
    }

    @Override
    public List<JiaoHuoShuliang> getJiaoHuoShuLiang(String date) {
        return erpCaiGouMapper.getJiaoHuoShuLiang(date);
    }

    @Override
    public List<CaiGouShuLiang> getCaiGouShuLiang(String date) {
        return erpCaiGouMapper.getCaiGouShuLiang(date);
    }

    @Override
    public List<CaiGouDingDanShuLiangJinE> getCaiGouDingDanShuLiangJinE(String date) {
        return erpCaiGouMapper.getCaiGouDingDanShuLiangJinE(date);
    }

    @Override
    public List<DaiJianShuLiang> getDaiJianShuLiang(String date) {
        return erpCaiGouMapper.getDaiJianShuLiang(date);
    }

    @Override
    public List<CaiGouYueJun> getCaiGouYueJun(String date) {
        return erpCaiGouMapper.getCaiGouYueJun(date);
    }

    @Override
    public List<YingFuZhangKuan> getYingFuZhangKuang(String date) {
        return erpCaiGouMapper.getYingFuZhangKuang(date);
    }

    @Override
    public List<ZuiDiKuChun> getZuiDiKuChun(String date) {
        return erpCaiGouMapper.getZuiDiKuChun(date);
    }

    @Override
    public List<CaiGouDingDanShuLiangJinE> getCaiGouHeTongShuLiangJinE(String date) {
        return erpCaiGouMapper.getCaiGouHeTongShuLiangJinE(date);
    }
}
